ChangeSet 1.1225, 2003/06/18 16:35:17-07:00, baldrick@wanadoo.fr

[PATCH] USB speedtouch: remove MOD_XXX_USE_COUNT

The ATM layer takes a reference with fops_get.


 drivers/usb/speedtouch.c |    6 ------
 1 files changed, 6 deletions(-)


diff -Nru a/drivers/usb/speedtouch.c b/drivers/usb/speedtouch.c
--- a/drivers/usb/speedtouch.c	Wed Jun 18 17:35:54 2003
+++ b/drivers/usb/speedtouch.c	Wed Jun 18 17:35:54 2003
@@ -852,19 +852,15 @@
 		return -EAGAIN;
 	}
 
-	MOD_INC_USE_COUNT;
-
 	down (&instance->serialize); /* vs self, udsl_atm_close */
 
 	if (udsl_find_vcc (instance, vpi, vci)) {
 		up (&instance->serialize);
-		MOD_DEC_USE_COUNT;
 		return -EADDRINUSE;
 	}
 
 	if (!(new = kmalloc (sizeof (struct udsl_vcc_data), GFP_KERNEL))) {
 		up (&instance->serialize);
-		MOD_DEC_USE_COUNT;
 		return -ENOMEM;
 	}
 
@@ -931,8 +927,6 @@
 	clear_bit (ATM_VF_ADDR, &vcc->flags);
 
 	up (&instance->serialize);
-
-	MOD_DEC_USE_COUNT;
 
 	dbg ("udsl_atm_close successful");
 }
